<?php
/**
 * Header Options
 *
 * @package Travellable
 */

$wp_customize->add_section(
	'travellable_header_options',
	array(
		'panel' => 'travellable_theme_options',
		'title' => esc_html__( 'Header Options', 'travellable' ),
	)
);

// Header Options - Enable Top Bar.
$wp_customize->add_setting(
	'travellable_enable_top_bar',
	array(
		'default'           => true,
		'sanitize_callback' => 'travellable_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Travellable_Toggle_Switch_Custom_Control(
		$wp_customize,
		'travellable_enable_top_bar',
		array(
			'label'    => esc_html__( 'Enable Top Bar', 'travellable' ),
			'section'  => 'travellable_header_options',
			'settings' => 'travellable_enable_top_bar',
			'type'     => 'checkbox',
		)
	)
);

// Header Options - Contact Number.
$wp_customize->add_setting(
	'travellable_contact_number',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'travellable_contact_number',
	array(
		'label'           => esc_html__( 'Contact Number', 'travellable' ),
		'section'         => 'travellable_header_options',
		'settings'        => 'travellable_contact_number',
		'type'            => 'text',
		'active_callback' => 'travellable_is_topbar_enabled',
	)
);

// Header Options - Enable Search Form.
$wp_customize->add_setting(
	'travellable_enable_search_form',
	array(
		'sanitize_callback' => 'travellable_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Travellable_Toggle_Switch_Custom_Control(
		$wp_customize,
		'travellable_enable_search_form',
		array(
			'label'           => esc_html__( 'Enable Search Form', 'travellable' ),
			'section'         => 'travellable_header_options',
			'active_callback' => 'travellable_is_topbar_enabled',
		)
	)
);
