<?php
/**
 * Typography
 *
 * @package Travellable
 */

$wp_customize->add_section(
	'travellable_typography',
	array(
		'panel' => 'travellable_theme_options',
		'title' => esc_html__( 'Typography', 'travellable' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'travellable_site_title_font',
	array(
		'default'           => 'EB Garamond',
		'sanitize_callback' => 'travellable_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'travellable_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'travellable' ),
		'section'  => 'travellable_typography',
		'settings' => 'travellable_site_title_font',
		'type'     => 'select',
		'choices'  => travellable_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'travellable_site_description_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'travellable_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'travellable_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'travellable' ),
		'section'  => 'travellable_typography',
		'settings' => 'travellable_site_description_font',
		'type'     => 'select',
		'choices'  => travellable_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'travellable_header_font',
	array(
		'default'           => 'EB Garamond',
		'sanitize_callback' => 'travellable_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'travellable_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'travellable' ),
		'section'  => 'travellable_typography',
		'settings' => 'travellable_header_font',
		'type'     => 'select',
		'choices'  => travellable_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'travellable_body_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'travellable_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'travellable_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'travellable' ),
		'section'  => 'travellable_typography',
		'settings' => 'travellable_body_font',
		'type'     => 'select',
		'choices'  => travellable_get_all_google_font_families(),
	)
);
